# Interface DeepSearchOptions

interface DeepSearchOptions {
apply?: string;
contains?: boolean;
count?: boolean;
debounce?: number | boolean;
query?: Exp<"links">;
regexp?: boolean;
remote?: boolean;
skip?: boolean;
sort?: boolean;
subscription?: boolean;
values?: boolean;
}

- Defined in work/deeplinks/deeplinks/imports/client.tsx:485

#####
Index

### Properties

apply?
contains?
count?
debounce?
query?
regexp?
remote?
skip?
sort?
subscription?
values?

##
Properties

### `Optional` apply

apply?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:494

### `Optional` contains

contains?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:490

### `Optional` count

count?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:493

### `Optional` debounce

debounce?: number | boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:496

### `Optional` query

query?: Exp<"links">

- Defined in work/deeplinks/deeplinks/imports/client.tsx:488

### `Optional` regexp

regexp?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:487

### `Optional` remote

remote?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:486

### `Optional` skip

skip?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:492

### `Optional` sort

sort?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:491

### `Optional` subscription

subscription?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:495

### `Optional` values

values?: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:489